#include <WinSock2.h>
#include <string>
#include "NameResolution.h"
using namespace std;


NameResolution::NameResolution()
{
	name_[0] = 0;
}

NameResolution::NameResolution(int requestNumber,
	bool resolutionSuccessful,
	in_addr ipAddressInNBO, const string& name) : requestNumber_(requestNumber),
	resolutionSuccessful_(resolutionSuccessful),
	ipAddressInNBO_(ipAddressInNBO) 
{ 
	setName(name);
}

string NameResolution::getName() const
{
	return string(name_);
}

int NameResolution::getRequestNumber() const
{
	return requestNumber_;
}
bool NameResolution::resolutionSuccessful() const
{
	return resolutionSuccessful_;
}

in_addr NameResolution::getIpAddressInNBO() const
{
	return ipAddressInNBO_;
}

void NameResolution::setRequestNumber(int requestNumber)
{
	requestNumber_ = requestNumber;
}

void NameResolution::setResolutionSuccessful(bool resolutionSuccessful)
{
	resolutionSuccessful_ = resolutionSuccessful;
}

void NameResolution::setIpAddressNBO(in_addr addressInNBO)
{
	ipAddressInNBO_ = addressInNBO;
}

void NameResolution::setName(const std::string& nameToResolve)
{
	strcpy_s(name_, MAX_NAME_LENGTH, nameToResolve.c_str());
}
