#pragma once
#include <WinSock2.h>
#include <string>

// Server response message for NameQuery
class NameResolution
{
public:
	enum { MAX_NAME_LENGTH = 128 };

	NameResolution();
	NameResolution(int requestNumber,
		bool resolutionSuccessful,
		in_addr ipAddressInNBO,
		const std::string& name);

	int getRequestNumber() const;
	bool resolutionSuccessful() const;
	in_addr getIpAddressInNBO() const;
	std::string getName() const;

	void setRequestNumber(int requestNumber);
	void setResolutionSuccessful(bool successful);
	void setIpAddressNBO(in_addr addressInNBO);
	void setName(const std::string& name);

private:
	//  Request id number
	int requestNumber_;

	// Flag indicating success/failure of lookup
	bool resolutionSuccessful_;

	// Ip address in network byte order
	in_addr ipAddressInNBO_;

	// Name associated with IP
	char name_[MAX_NAME_LENGTH];
};

